*Tables in DebsHelmke(2010).

**Table 1 

list countryname year president party if elected==1 & year>=1978 & left2_alt==1

**Table 2

bysort countryname: sum meanginiall1 if elected==1 & year>=1978 
by countryname: sum meanginigross1 if elected==1 & year>=1978 
by countryname: sum meantop5gross1 if elected==1 & year>=1978 

*Table 3. Pure Left.
*Model 1
logit left2_alt meanginiall1 meanginiall1_sq if elected==1, cluster(countryname)
***SHOW WHAT THE PREDICTED PROBABILITIES ARE... at the 10th percentile, peak, and the 90th percentile

sum meanginiall1, detail
*10th percentile at 42, peak at 52, 90th percentile at 58
*calculate the predicted probs
scalar exb = exp( _b[meanginiall1]*42 + _b[meanginiall1_sq]*42*42 + _b[_cons] )
display exb/(1+exp(exb)) 
scalar exb = exp( _b[meanginiall1]*52 + _b[meanginiall1_sq]*52*52 + _b[_cons] )
display exb/(1+exp(exb)) 
scalar exb = exp( _b[meanginiall1]*58 + _b[meanginiall1_sq]*58*58 + _b[_cons] )
display exb/(1+exp(exb)) 

***HERE ARE THE MARGINAL EFFECTS AND THEIR STANDARD ERRORS... at the 10th percentile and 90th percentile
quietly logit left2_alt meanginiall1 meanginiall1_sq if elected==1, cluster(countryname)
scalar exb = exp(-( _b[meanginiall1]*42 + _b[meanginiall1_sq]*42*42 + _b[_cons] ))
nlcom ((1+exb)^(-2)) * (exb) * (_b[meanginiall1] + 2*_b[meanginiall1_sq]*42 ), post

quietly logit left2_alt meanginiall1 meanginiall1_sq if elected==1, cluster(countryname)
scalar exb = exp(-( _b[meanginiall1]*58 + _b[meanginiall1_sq]*58*58 + _b[_cons] ))
nlcom ((1+exb)^(-2)) * (exb) * (_b[meanginiall1] + 2*_b[meanginiall1_sq]*58 ), post

*Model 2
logit left2_alt meanginiall1 meanginiall1_sq coldwar ageodem massmob if elected==1, cluster(countryname)
*calculate marginal effect at 10th percentile and 90th percentile, setting values of other variables at means/medians 
sum coldwar if e(sample), detail
scalar holdcw = r(p50)
sum ageodem
scalar holdage = r(mean)
sum massmob, detail 
scalar holdmob = r(p50)

quietly logit left2_alt meanginiall1 meanginiall1_sq coldwar ageodem massmob if elected==1, cluster(countryname)
gen exb = exp(-( _b[meanginiall1]*42 + _b[meanginiall1_sq]*42*42 + _b[coldwar]*holdcw + _b[ageodem]*holdage + _b[massmob]*holdmob + _b[_cons] ))
nlcom ((1+exb)^(-2)) * (exb) * (_b[meanginiall1] + 2*_b[meanginiall1_sq]*42 ), post

quietly logit left2_alt meanginiall1 meanginiall1_sq coldwar ageodem massmob if elected==1, cluster(countryname)
drop exb
gen exb = exp(-( _b[meanginiall1]*58 + _b[meanginiall1_sq]*58*58 + _b[coldwar]*holdcw + _b[ageodem]*holdage + _b[massmob]*holdmob + _b[_cons] ))
nlcom ((1+exb)^(-2)) * (exb) * (_b[meanginiall1] + 2*_b[meanginiall1_sq]*58 ), post

*Model 3
clogit left2_alt meanginiall1 meanginiall1_sq if elected==1, group(countryname)
*Model 4
clogit left2_alt meanginiall1 meanginiall1_sq coldwar ageodem inflationclagged growthclagged if elected==1 & incumbent_left2_alt==0, group(countryname)


*Table 4. Robustness. relativeleft
*Model 5
logit relativeleft2 meanginiall1 meanginiall1_sq if elected==1, cluster(countryname)
*Model 6
clogit relativeleft2 meanginigross1 meanginigross1_sq if elected==1, group(countryname)
*Model 7
clogit relativeleft2 meanginigross1 meanginigross1_sq  coldwar ageodem inflationclagged growthclagged if elected==1 & incumbent_relativeleft2==0, group(countryname)
*Model 8
clogit relativeleft2 meantop5gross1 meantop5gross1_sq if elected==1, group(countryname)
*Model 9
clogit relativeleft2 meantop5gross1 meantop5gross1_sq coldwar ageodem inflationclagged growthclagged if elected==1 & incumbent_relativeleft2==0, group(countryname)
